All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models.remotefileselector2
Class RemoteFileSearchAttributes

    com.sas.swing.models.remotefileselector2.RemoteFileSearchAttributes

    public class RemoteFileSearchAttributes

RemoteFileSearchAttributes defines the information necessary to specify a RemoteFileSelector search.

Since:
  9.1.4

Field Summary
`static java.lang.String` | `CREATED_DATE` used to specify the created date when searching on datetime values
`static java.lang.String` | `MODIFIED_DATE` used to specify the modified date when searching on datetime values

Constructor Summary
`RemoteFileSearchAttributes()`

Method Summary
`java.lang.String` | `getDateSearchType()` Returns the currently set date type to be used for searching.
`java.util.Date` | `getEndingDate()` Returns the currently set value of the ending date range.
`boolean` | `getRecursive()` Returns the current setting of the recursive search flag.
`java.lang.String` | `getSearchContext()` Returns the currently set search column.
`java.lang.String` | `getSearchText()` Returns the currently set search text item.
`java.util.Date` | `getStartingDate()` Returns the currently set value of the starting date range.
`java.lang.String` | `getStartingPath()` Returns the currently set search starting location
`void` | `setDateRange(java.util.Date startingDate, java.util.Date endingDate)` Specifies the starting and ending date of the range to be searched
`void` | `setDateSearchType(java.lang.String dateType)` Allows configuration of created vs. modified dates used when searching for datetime values
`void` | `setRecursive(boolean recursive)` Allows specification of whether the search should recursively search sub folders.
`void` | `setSearchContext(java.lang.String searchContext)` Allows setting of the column that is to be searched.
`void` | `setSearchText(java.lang.String searchText)` Allows setting of the text string to be searched.
`void` | `setStartingPath(java.lang.String path)` Allows specification of the search starting location.

Field Detail

### MODIFIED_DATE

    public static final java.lang.String MODIFIED_DATE

  used to specify the modified date when searching on datetime values

  See Also:
    Constant Field Values

### CREATED_DATE

    public static final java.lang.String CREATED_DATE

  used to specify the created date when searching on datetime values

  See Also:
    Constant Field Values

Constructor Detail

### RemoteFileSearchAttributes

    public RemoteFileSearchAttributes()

Method Detail

### setSearchText

    public void setSearchText(java.lang.String searchText)

  Allows setting of the text string to be searched.

  Parameters:
    `searchText` - the text item to be searched

### getSearchText

    public java.lang.String getSearchText()

  Returns the currently set search text item.

  Returns:
    the text item

### setSearchContext

    public void setSearchContext(java.lang.String searchContext)

  Allows setting of the column that is to be searched.

  Parameters:
    `searchContext` - the column identifier

### getSearchContext

    public java.lang.String getSearchContext()

  Returns the currently set search column.

  Returns:
    the column identifier to be searched

### setRecursive

    public void setRecursive(boolean recursive)

  Allows specification of whether the search should recursively search sub folders.

  Parameters:
    `recursive` - specifies whether to search recursively

### getRecursive

    public boolean getRecursive()

  Returns the current setting of the recursive search flag.

  Returns:
    the recursive search flag

### setStartingPath

    public void setStartingPath(java.lang.String path)

  Allows specification of the search starting location. This is a path location based on the specific service host or type.

  Parameters:
    `path` - the search starting location

### getStartingPath

    public java.lang.String getStartingPath()

  Returns the currently set search starting location

  Returns:
    the path location

### setDateRange

    public void setDateRange(java.util.Date startingDate,
                             java.util.Date endingDate)

  Specifies the starting and ending date of the range to be searched

  Parameters:
    `startingDate` - the starting point of the range
    `endingDate` - the ending point of the range

### getStartingDate

    public java.util.Date getStartingDate()

  Returns the currently set value of the starting date range.

  Returns:
    the starting date

### getEndingDate

    public java.util.Date getEndingDate()

  Returns the currently set value of the ending date range.

  Returns:
    the ending date

### setDateSearchType

    public void setDateSearchType(java.lang.String dateType)

  Allows configuration of created vs. modified dates used when searching for datetime values

  Parameters:
    `dateType` - the date type

### getDateSearchType

    public java.lang.String getDateSearchType()

  Returns the currently set date type to be used for searching.

  Returns:
    the date type

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.